using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AudioManager : MonoBehaviour
{

    public static AudioManager Instance;
    public GameObject audioSourcePrefab;

    private void Awake()
    {
        Instance = this;
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public static void playClip(AudioClip clip, float delay = 0f)
    {
        AudioSourcePrefab source = Instantiate(Instance.audioSourcePrefab).GetComponent<AudioSourcePrefab>();
        source.setClip(clip, delay);
    }
}
